--***************************************************************
-- Trailer Sound
--***************************************************************
source(Utils.getFilename("mogliBase.lua", g_currentModDirectory))
_G[g_currentModName..".mogliBase"].newClass( "TrailerSoundTrailer" )
--***************************************************************

function TrailerSoundTrailer:load(xmlFile)
	self.trailerSoundDefault = false
	if SpecializationUtil.hasSpecialization(Fillable, self.specializations) then
		self.trailerSoundDefault = true
	end
	TrailerSoundTrailer.registerState( self, "trailerSoundActive", self.trailerSoundDefault )
end

function TrailerSoundTrailer:update(dt)
	if self:getIsActiveForInput(true) and TrailerSoundTrailer.mbHasInputEvent( "TRAILER_SOUND" ) then
		TrailerSoundTrailer.mbSetState( self, "trailerSoundActive", not self.trailerSoundActive )
	end
end

function TrailerSoundTrailer:draw()
	if self:getIsActiveForInput(true) then
		local text 
		if self.trailerSoundActive then
			text = "TRAILER_SOUND_ON"
		else
			text = "TRAILER_SOUND_OFF"
		end
		g_currentMission:addHelpButtonText(TrailerSoundTrailer.getText(text), InputBinding.TRAILER_SOUND);		
	end
end

--**********************************************************************************************************	
-- TrailerSoundTrailer:getSaveAttributesAndNodes
--**********************************************************************************************************	
function TrailerSoundTrailer:getSaveAttributesAndNodes(nodeIdent)

	local attributes = ""

	if self.trailerSoundActive ~= nil and self.trailerSoundActive ~= self.trailerSoundDefault then
		attributes = attributes.." trailerSound=\"" .. tostring( self.trailerSoundActive ) .. "\""     
	end
	
	return attributes
end 

--**********************************************************************************************************	
-- TrailerSoundTrailer:loadFromAttributesAndNodes
--**********************************************************************************************************	
function TrailerSoundTrailer:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
	local b
	
	b = getXMLBool(xmlFile, key .. "#trailerSound" )
	if b ~= nil then
		self.trailerSoundActive = b
	end
	
	return BaseMission.VEHICLE_LOAD_OK
end 